<?php
ob_start();
$pageTitle = 'إضافة';
ini_set('serialize_precision', '-1');
include 'init.php';
use classs\ManagerCars;
use classs\FileManager;
/* use src\ManagerCars;
use src\FileManager; */
$manage = isset($_GET['manage']) ? $_GET['manage'] : '';
$do = isset($_GET['do']) ? $_GET['do'] : '';

if ($manage == 'nationality') {
    $department_id = 15;
    if ($do === 'add') {
        if (checkadmin($_SESSION['admin'], $department_id, 3) == 1 ) {
            ?>
            <div class="container mt-5">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">إضافة جنسية جديدة <i class="fa-solid fa-bus"></i></h3>
                    </div>
                    <div class="card-body">
                        <form action="?manage=nationality&do=insert" method="post">
                            <div class="row">
                                <div class="col-md-3 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="name_ar" class="form-control" placeholder="الجنسية">
                                        <label for="name_ar" class="form-label">الجنسية بالعربي</label>
                                    </div>
                                </div>
                                <div class="col-md-3 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="name_en" class="form-control" placeholder="الجنسية">
                                        <label for="name_en" class="form-label">الجنسية بالنجليزى</label>
                                    </div>
                                </div>
                                <div class="col-md-2 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="nationality_code" class="form-control" placeholder="الرمز المختصر مثل (EG,USA)">
                                        <label for="nationality_code" class="form-label">الرمز المختصر</label>
                                    </div>
                                </div>
                                <div class="col-md-2 mb-3">
                                    <br>
                                    <button type="submit" class="btn btn-primary" name="add_nationality">Add Nationality</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <?php
        } else {
            echo '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
        }
    } elseif ($do === 'insert') {
        // معالجة إضافة السيارة الجديد
        if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['add_nationality'])) {
            $ManagerCars = new ManagerCars($con);
            
            $name_ar = htmlspecialchars($_POST['name_ar']);
            $name_en = htmlspecialchars($_POST['name_en']);
            $nationality_code = htmlspecialchars($_POST['nationality_code']);
            
            // يمكنك إجراء عمليات التحقق هنا
            $formErrors = array();
            if (empty($name_ar)) {
                $formErrors[] = 'لا يجب أن يكون الإسم العربي <strong>فارغ</strong>';
            }
            if (empty($name_en)) {
                $formErrors[] = 'لا يجب أن يكون الإسم الانجليزي <strong>فارغ</strong>';
            }
            if (empty($nationality_code)) {
                $formErrors[] = 'لا يجب أن يكون الرمز المختصر <strong>فارغ</strong>';
            }
            // Loop Into Errors Array And Echo It
            foreach ($formErrors as $error) {
                echo '<div class="alert alert-danger">' . $error . '</div>';
            }
            if (empty($formErrors)) {
                try {
                    // استخدام الحد الأقصى للأمان: التحضير والربط
                    $stmt = $con->prepare("INSERT INTO nationality (name_ar, name_en, nationality_name, nationality_code) VALUES (?, ?, ?, ?)");
                    $result = $stmt->execute([$name_ar, $name_en, $name_ar, $nationality_code]);
    
                    if ($result) {
                        $theMsg = "تمت إضافة الدولة بنجاح!";
                        redirectlink($theMsg, $url = "all_nationality", $name = "عرض الدول", $seconds = 0);
                    } else {
                        echo "حدث خطأ أثناء إضافة الدولة.";
                    }
                } catch (PDOException $e) {
                    echo "حدث خطأ فى السيرفر أثناء إضافة الدولة: " . $e->getMessage();
                }
            }
        }
    } elseif ($do === 'all_nationality') {
        if (checkadmin($_SESSION['admin'], $department_id, 2) == 1 ) {
            ?>
            <h1 class="input-group-text text-center">عرض جميع الجنسيات</h1>
            <form action="?do=all_file" method="post">
                <div class="row">
                    
                    <div class="form-group form-group-lg col-sm-1">
                    </div>
                    <div class="form-group form-group-lg col-sm-3">
                        <label></label>
                        <a href="add_nationality" class="btn btn-warning form-control">
                            <i class="fa-solid fa-bus fa-xl"></i> إضافة جنسية جديد
                        </a>
                    </div>
                </div>
            </form>
            <br>
            <?php
            $sql = "SELECT * FROM nationality";
            $stmt = $con->prepare($sql);
            $stmt->execute();
            // جلب البيانات كمصفوفة
            $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
            if (!empty($result)) {
                echo "<table class='main-table text-center table table-bordered'>";
                echo "<tr>
                    <td>ID</td>
                    <td>اسم بالعربي</td>
                    <td>الإسم الانجليزي</td>
                    <td>الجنسية</td>
                    <td>الجنسية EN</td>
                    <td>رمز الدولة</td>
                </tr>";
                foreach ($result as $val) {
                    echo "<tr>
                        <td>{$val['ID']}</td>
                        <td>{$val['name_ar']}</td>
                        <td>{$val['name_en']}</td>
                        <td>{$val['nationality_name']}</td>
                        <td>{$val['nationality_name_en']}</td>
                        <td>{$val['nationality_code']}</td>
                        ";
                    /* if ( checkadmin($_SESSION['admin'], $department_id, 2) == 1 ) {
                        echo "<td>
                        <a href='?do=all_data_car&id=" . $val['ID'] . "' class='btn btn-primary'><i class=\"fa-solid fa-gear\"></i></i></i> </a>
                        <a href='?do=edit&id=" . $val['ID'] . "' class='btn btn-success'><i class=\"fa-solid fa-user-pen\"></i></i> </a>
                        <a href='?do=delete&id=" . $val['ID'] . "' class='btn btn-danger confirm'><i class='fa-solid fa-user-xmark'></i></i> </a>
                    </td>";
                    } */
                    echo "</tr>";
                }
                echo "</table>";
            } else {
                echo 'لا يوجد بيانات';
            }
        } else {
            $theMsg = '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
            redirectHome($theMsg);
        }
    } else {
        echo '<div class="alert alert-danger">برجاء إتباع رابط صحيح</div>';
    }
} elseif ($manage == 'room_type') {
    $department_id = 15;
    if ($do === 'add') {
            ?>
            <div class="container mt-5">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">إضافة نوع غرفة <i class="fa-solid fa-bus"></i></h3>
                    </div>
                    <div class="card-body">
                        <form action="?manage=room_type&do=insert" method="post">
                            <div class="row">
                                <div class="col-md-4 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="name_ar" class="form-control" placeholder="الاسم بالعربي مثل (سنجل او دبل)">
                                        <label for="name_ar" class="form-label">الاسم مثل (سنجل او دبل)</label>
                                    </div>
                                </div>
                                <div class="col-md-4 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="name_en" class="form-control" placeholder="الاختصار مثل (SGL - DBL)">
                                        <label for="name_en" class="form-label">الاختصار مثل (SGL - DBL)</label>
                                    </div>
                                </div>
                                <div class="col-md-2 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="Room_code" class="form-control" placeholder="الرمز المختصر مثل (X - XX)">
                                        <label for="Room_code" class="form-label">الرمز مثل (X - XX)</label>
                                    </div>
                                </div>
                                <div class="col-md-2 mb-3">
                                    <br>
                                    <button type="submit" class="btn btn-primary" name="add_room_type">Add Room Type</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <?php
        
    } elseif ($do === 'insert') {
        // معالجة إضافة السيارة الجديد
        if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['add_room_type'])) {
            $ManagerCars = new ManagerCars($con);
            
            $name_ar = htmlspecialchars($_POST['name_ar']);
            $name_en = htmlspecialchars($_POST['name_en']);
            $Room_code = htmlspecialchars($_POST['Room_code']);
            
            // يمكنك إجراء عمليات التحقق هنا
            $formErrors = array();
            if (empty($name_ar)) {
                $formErrors[] = 'لا يجب أن يكون الإسم العربي <strong>فارغ</strong>';
            }
            if (empty($name_en)) {
                $formErrors[] = 'لا يجب أن يكون الإسم المختصر <strong>فارغ</strong>';
            }
            if (empty($Room_code)) {
                $formErrors[] = 'لا يجب أن يكون الرمز <strong>فارغ</strong>';
            }
            // Loop Into Errors Array And Echo It
            foreach ($formErrors as $error) {
                echo '<div class="alert alert-danger">' . $error . '</div>';
            }
            if (empty($formErrors)) {
                try {
                    // استخدام الحد الأقصى للأمان: التحضير والربط
                    $stmt = $con->prepare("INSERT INTO room_type (name_room, code_1, code_2) VALUES (?, ?, ?)");
                    $result = $stmt->execute([$name_ar, $name_en, $Room_code]);
    
                    if ($result) {
                        $theMsg = "تمت إضافة الغرفة بنجاح!";
                        redirectlink($theMsg, $url = "add_all.php?manage=room_type&do=all_room_type", $name = "عرض الغرف", $seconds = 0);
                    } else {
                        echo "حدث خطأ أثناء إضافة الغرفة.";
                    }
                } catch (PDOException $e) {
                    echo "حدث خطأ فى السيرفر أثناء إضافة الغرفة: " . $e->getMessage();
                }
            }
        }
    } elseif ($do === 'all_room_type') {
            ?>
            <h1 class="input-group-text text-center">عرض انواع الغرف</h1>
            <form action="?do=all_file" method="post">
                <div class="row">
                    
                    <div class="form-group form-group-lg col-sm-1">
                    </div>
                    <div class="form-group form-group-lg col-sm-3">
                        <label></label>
                        <a href="add_all.php?manage=room_type&do=add" class="btn btn-warning form-control">
                            <i class="fa-solid fa-bus fa-xl"></i> إضافة نوع جديد
                        </a>
                    </div>
                </div>
            </form>
            <br>
            <?php
            $sql = "SELECT * FROM room_type";
            $stmt = $con->prepare($sql);
            $stmt->execute();
            // جلب البيانات كمصفوفة
            $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
            if (!empty($result)) {
                echo "<table class='main-table text-center table table-bordered'>";
                echo "<tr>
                    <td>ID</td>
                    <td>اسم بالعربي</td>
                    <td>الاختصار</td>
                    <td>رمز</td>
                </tr>";
                foreach ($result as $val) {
                    echo "<tr>
                        <td>{$val['ID']}</td>
                        <td>{$val['name_room']}</td>
                        <td>{$val['code_1']}</td>
                        <td>{$val['code_2']}</td>
                        ";
                    /* if ( checkadmin($_SESSION['admin'], $department_id, 2) == 1 ) {
                        echo "<td>
                        <a href='?do=all_data_car&id=" . $val['ID'] . "' class='btn btn-primary'><i class=\"fa-solid fa-gear\"></i></i></i> </a>
                        <a href='?do=edit&id=" . $val['ID'] . "' class='btn btn-success'><i class=\"fa-solid fa-user-pen\"></i></i> </a>
                        <a href='?do=delete&id=" . $val['ID'] . "' class='btn btn-danger confirm'><i class='fa-solid fa-user-xmark'></i></i> </a>
                    </td>";
                    } */
                    echo "</tr>";
                }
                echo "</table>";
            } else {
                echo 'لا يوجد بيانات';
            }
        
    } else {
        echo '<div class="alert alert-danger">برجاء إتباع رابط صحيح</div>';
    }
} else {
    echo '<div class="alert alert-danger">برجاء إتباع رابط صحيح</div>';
}

include $tpl . 'footer.php';
?>